Bug 1201797 (CVE-2015-2154) - CVE-2015-2154 tcpdump: ethernet printer osi_print_cksum() missing sanity checks out-of-bounds read
Summary: CVE-2015-2154 tcpdump: ethernet printer osi_print_cksum() missing sanity chec...
Status: CLOSED WONTFIX
Alias: CVE-2015-2154
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150309,reported=2...
Keywords: Security
Depends On: 1201799
Blocks: 1201800 1415638
TreeView+ depends on / blocked
 
Reported: 2015-03-13 14:15 UTC by Martin Prpič
Modified: 2019-06-08 20:28 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-06-01 19:23:03 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1871 normal SHIPPED_LIVE Moderate: tcpdump security, bug fix, and enhancement update 2017-08-01 16:00:24 UTC

Description Martin Prpič 2015-03-13 14:15:48 UTC
A flaw was found in tcpdump's ethernet printer. A remote attacker could use this flaw to cause tcpdump to crash, resulting in a denial of service.

Upstream patch:

http://www.ca.tcpdump.org/cve/0002-test-case-files-for-CVE-2015-2153-2154-2155.patch

Comment 1 Martin Prpič 2015-03-13 14:17:25 UTC
Created tcpdump tracking bugs for this issue:

Affects: fedora-all [bug 1201799]

Comment 2 Stefan Cornelius 2015-03-18 18:31:26 UTC
This is caused by missing sanity checks in the osi_print_cksum() function in print-isoclns.c.

The function may call the create_osi_cksum() function in checksum.c with invalid data. Fortunately, this seems to be exploitable for an application crash due to an out-of-bounds read only.

Comment 4 Fedora Update System 2015-03-30 07:01:03 UTC
tcpdump-4.7.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-03-31 21:44:23 UTC
tcpdump-4.7.3-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-04-18 09:48:06 UTC
tcpdump-4.5.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2017-08-01 12:14:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1871 https://access.redhat.com/errata/RHSA-2017:1871


Note You need to log in before you can comment on or make changes to this bug.